const {babel } = require(" @rollup/plugin-babel");

const pkg = require("./package.json");

const esm = [
  {
    input: "modules/index.js",
    output: { file: `esm/${pkg.name}.js`, sourcemap: true, format: "esm" },
    external: isBareModuleId,
    plugins: [
      babel({
        exclude: /node_modules/,
        runtimeHelpers: true,
        sourceMaps: true,
        presets: ['@babel/preset-react'],
        rootMode: "upward"
      })
    ]
  }
];


module.exports = esm;